| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::Identity Class Reference

## Public Member Functions
| Identity ()
| Wraps a face recognition Identity.
| Identity (const Identity &other)
QString | attribute (const QString &att) const
| Attribute value accessor.
QMultiMap< QString, QString > | attributesMap () const
| Attributes map accessor.
void | deleteAttributeValue (const QString &att, const QString &val)
int | id () const
| Id value accessor.
bool | isNull () const
Identity & | operator= (const Identity &other)
bool | operator== (const Identity &other) const
void | setAttribute (const QString &att, const QString &val)
void | setAttributesMap (const QMultiMap< QString, QString > &attributes)
void | setId (int id)

## Constructor & Destructor Documentation

## ◆ Identity()

Digikam::Identity::Identity | ( |  | ) |

An identity refers to a natural person. There is an internal id which is used the FacesEngine storage, and a number of attributes which map the identity to the outside.

Prespecified attributes:

"fullName" The full name as on the ID card, e.g. "Peter Brown" "name" The person's name without further specification, e.g. "Peter" or "Dad" "uuid" A UUID that is assigned to each new identity at creation.

For fullName and name, multiple values are allowed.

Attributes can be used to map an identity to other fields and services where natural persons play a role.